Description

Like in your sample solution, when | want to use my local engine (not google) the barchart image is not found. All | get in my html
Area is a white square with a red X in it.

History

#1 - 03/01/2012 08:25 PM - Patrick Talbot

Have you installed the eastwood.war in your Servoy/application_server/server/webapps/ folder?

Otherwise there might be a problem with one of your parameters.
Can you tell me the URL that is produced by your script?

#2 - 03/02/2012 07:44 AM - Christina Wels

The eastwoor.war is installed in Servoy/application_server/server/webapps/ folder.
The plugin returns me:

<img
src="http://127.0.0.1:8080/eastwood/chart?chbh=5&chdlp=b&cht=bvg&chxt=y,x&chs=730x180&chtt=Statistik&chco=80FF80,80FFFF,FFFF80&chxr=
0,0.0,100.0/1,0.0,100.0&chdl=Gewonnen|Pending|Verloren&chd=t:3131518.0|1296373.0|4471480.0&chxs=0,000000,12,0,It,FF0022|1,000000,12,-1,I
&chx|=0:/1.600.000|3.200.000|4.800.000|1:]2010&chxp=0,33.33333333333333,66.66666666666666,100.0|1,0.0&chds=0.0,4800000.0,0.0,4800000.0
,0.0,4800000.0&chds=0.0,4800000.0,0.0,4800000.0,0.0,4800000.0&ewr=1" class="chart" width="730" height="180"></img>

So i put together a html string:

<html><body style="width: 100%; height: 100%; text-align: center; vertical-align: center"><img
src="http://127.0.0.1:8080/eastwood/chart?chbh=5&chdlp=b&cht=bvg&chxt=y,x&chs=730x180&chtt=Statistik&chco=80FF80,80FFFF,FFFF80&chxr=
0,0.0,100.0|1,0.0,100.0&chdl=Gewonnen|Pending|Verloren&chd=t:3131518.0|1296373.0/4471480.0&chxs=0,000000,12,0,It,FF0022|1,000000,12,-1,|
&chxl=0:/1.600.000|3.200.000|4.800.000|1:]2010&chxp=0,33.33333333333333,66.66666666666666,100.0|1,0.0&chds=0.0,4800000.0,0.0,4800000.0
,0.0,4800000.0&chds=0.0,4800000.0,0.0,4800000.0,0.0,4800000.0&ewr=1" class="chart" width="730" height="180"></img></body></html>

When | commit false as the third parameter to the function plugins.VelocityReport.getChart()
It returns me

<img

src="http://chart.apis.google.com/chart?chbh=5&chdlp=b&cht=bvg&chxt=y,x&chs=730x180&chtt=Statistik&chco=80FF80,80F FFF,FFFF80&chxr=0,0.
0,100.0]1,0.0,100.0&chdlI=Gewonnen|Pending|Verloren&chd=t:3131518.0|1296373.0/4471480.0&chxs=0,000000,12,0,It,FF0022|1,000000,12,-1,l&ch
x1=0:]1.600.000|3.200.000|4.800.000|1:/2010&chxp=0,33.33333333333333,66.66666666666666,100.0|1,0.0&chds=0.0,4800000.0,0.0,4800000.0,0.0
,4800000.0" class="chart" width="730" height="180"></img>

So my html string is

<html><body style="width: 100%; height: 100%; text-align: center; vertical-align: center"><img
src="http://chart.apis.google.com/chart?chbh=5&chdlp=b&cht=bvg&chxt=y,x&chs=730x180&chtt=Statistik&chco=80FF80,80F FFF,FFFF80&chxr=0,0.
0,100.0/1,0.0,100.0&chdl=Gewonnen|Pending|Verloren&chd=t:3131518.0|1296373.0|4471480.0&chxs=0,000000,12,0,It,FF0022|1,000000,12,-1,l&ch
xI=0:]1.600.000|3.200.000|4.800.000|1:/2010&chxp=0,33.33333333333333,66.66666666666666,100.0|1,0.0&chds=0.0,4800000.0,0.0,4800000.0,0.0
,4800000.0" class="chart" width="730" height="180"></img></body></htmI>

That works fine. But | don't like to send all my data to google.

#3 - 03/02/2012 08:51 AM - Patrick Talbot
- File eastwood.war added

- Status changed from New to Closed
Found the problem to be an exception when parsing the chbh parameter.
Please try with the attached eastwood.war

Delete the folder and eastwood.war found in Servoy/application_server/server/webapps and place the one attached instead.
Restart developer, this should fix your problem.
Will update the whole distribution soon.

#4 - 03/02/2012 09:24 AM - Christina Wels

Thank you very much for the quick answers! Now it works. The only thing | just notice is, that the barwidth is not considered. But for such things | can
wait for your update.

#5 - 03/02/2012 03:28 PM - Patrick Talbot
This will not change with the update.

This is the way JFreeChart builds Bar Charts, the bar width is always automatically calculated, see
https://www.servoyforge.net/projects/velocity-report/wiki/Charting#Bar-chart

Files

eastwood.war 2.13 MB 03/02/2012 Patrick Talbot
